MongoProtocolException
MongoWriteConcernException
Exceptions
PHP Manual

# The MongoExecutionTimeoutException class

(PECL mongo >= 1.5.0)

## Introduction

Thrown when a operation times out server side (i.e. in MongoDB).

To configure the operation timeout threshold, use MongoCursor::maxTimeMS() or the "maxTimeMS" command option.

## Class synopsis

MongoExecutionTimeoutException extends MongoException {
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
}

MongoProtocolException
MongoWriteConcernException
Exceptions
PHP Manual